Loading ...
Sorry, an error occurred while loading the content.

73437Re: Comile vim74 on GNU/Linux

Expand Messages
  • Tony Mechelynck
    Sep 29, 2013
    • 0 Attachment
      On 27/09/13 18:51, tilden99@... wrote:
      > Hi,
      >
      > I'd like to install GUI vim (gvim) to GNU/Linux. I use MobaXterm.
      >

      On Linux, a single executable can (if compiled with the necessary
      features) run both as a GUI or in a terminal depending on how it is invoked.

      See http://vim.wikia.com/wiki/Getting_the_Vim_source_with_Mercurial
      about getting the source and
      http://users.skynet.be/antoine.mechelynck/vim/compunix.htm about
      compiling Vim in general.

      By default, Vim will install under /usr/local (most files in
      /usr/local/share/vim/vim74/ and the executable in /usr/local/bin/) but
      that normally requires running at least the last part ("make install")
      with root privileges.

      To install under your home directory instead, and do away with the "root
      privileges" requirement, you may add to the script to be sourced before
      running make (as in the compunix.htm HowTo page mentioned above) the line

      export CONF_ARGS='--prefix=~'

      which should (IIUC) use ~/bin instead of /usr/local/bin and
      ~/share/vim/vim74 instead of /usr/local/share/vim/vim74. Then run "make
      reconfig" instead of plain "make" to make sure the new configure
      arguments are used. *Note:* there should be only one CONF_ARGS setting.
      If you already have one, modify or replace its argument string.


      Best regards,
      Tony.
      --
      hundred-and-one symptoms of being an internet addict:
      30. Even though you died last week, you've managed to retain OPS on your
      favorite IRC channel.

      --
      --
      You received this message from the "vim_dev" maillist.
      Do not top-post! Type your reply below the text you are replying to.
      For more information, visit http://www.vim.org/maillist.php

      ---
      You received this message because you are subscribed to the Google Groups "vim_dev" group.
      To unsubscribe from this group and stop receiving emails from it, send an email to vim_dev+unsubscribe@....
      For more options, visit https://groups.google.com/groups/opt_out.
    • Show all 5 messages in this topic